Subject: Re: [RFC/PATCH 4/4] Disallow working directory commands in a bare repository.

From: Theodore Tso <[email-masked]>
Date: Sun, 31 Dec 2006 07:49:21 -0500

On Sun, Dec 31, 2006 at 12:01:01AM -0800, Junio C Hamano wrote:
> > Why not just tell these users to setup the working directories with
> > local .git directories and not use GIT_DIR?
> 
> suggest that we might want to bite the bullet and declare that
> these things are not supported anymore in v1.5.0.

While we're talking about potentially deprecating GIT_DIR for users,
out of curiosity, what valid workflows would cause users to want to
use GIT_INDEX_FILE and GIT_OBJECT_DIRECTORY?  Seems like they would
cause more confusion and support problems than anything else.  

						- Ted